<?php
/**
 * Afiliatti LSC
 *
 * @package       ALSC
 * @author        afiliatti
 * @version       1.0.0
 *
 * @wordpress-plugin
 * Plugin Name:   Afiliatti Link Search Console
 * Plugin URI:    https://afiliatti.ro/afiliatti-lsc/
 * Description:   Add a link to Google Search Console in admin area for each article.
 * Version:       1.0.0
 * Author:        afiliatti
 * Author URI:    https://afiliatti.ro
 * Text Domain:   afiliatti-lsc
 * Domain Path:   /languages
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;
// Plugin name
define( 'ALSC_NAME',			'Afiliatti LSC' );

// Plugin version
define( 'ALSC_VERSION',		'1.0.0' );

// Plugin Root File
define( 'ALSC_PLUGIN_FILE',	__FILE__ );

// Plugin base
define( 'ALSC_PLUGIN_BASE',	plugin_basename( ALSC_PLUGIN_FILE ) );

// Plugin Folder Path
define( 'ALSC_PLUGIN_DIR',	plugin_dir_path( ALSC_PLUGIN_FILE ) );

// Plugin Folder URL
define( 'ALSC_PLUGIN_URL',	plugin_dir_url( ALSC_PLUGIN_FILE ) );

/**
 * Load the main class for the core functionality
 */
require_once ALSC_PLUGIN_DIR . 'core/class-afiliatti-lsc.php';

/**
 * The main function to load the only instance
 * of our master class.
 *
 * @author  Afiliatti
 * @since   1.0.0
 * @return  object|Afiliatti_Lsc
 */
function ALSC() {
	return Afiliatti_Lsc::instance();
}

ALSC();
